## breeze-plymouth 5.27.4

=== debian/changelog ===
breeze-plymouth (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:36:53 +0100

breeze-plymouth (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:17 +0000

breeze-plymouth (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:08 +0000

breeze-plymouth (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:45:50 +0000

breeze-plymouth (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:39:52 +0000

breeze-plymouth (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:28:52 +0000

breeze-plymouth (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:13:44 +0000

breeze-plymouth (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump frameworks build deps.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Dec 2022 11:06:42 +0000

breeze-plymouth (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:58:36 +0100

breeze-plymouth (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:02:59 +0000

breeze-plymouth (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:41:41 +0100

breeze-plymouth (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:10:32 +0000

breeze-plymouth (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:24:52 +0200

breeze-plymouth (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:04 +0000

breeze-plymouth (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:43:57 +0200

breeze-plymouth (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:19 +0200

breeze-plymouth (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:17 +0200

=== debian/control ===
Source: breeze-plymouth
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/breeze-plymouth
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth
Rules-Requires-Root: no

Package: plymouth-theme-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Breeze theme for Plymouth
 Breeze theme for Plymouth system boot splash to fit in with KDE
 Plasma's themeing.

## breeze-plymouth 5.27.5

=== CMakeLists.txt ===
project(breeze-plymouth)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )

include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Plymouth REQUIRED)

find_library(MATH_LIBRARY m)

# Otherwise MODULE libs have a lib prefix, which is not compatible with
# plymouth plugin names (i.e we want breeze-text.so not libbreeze-text.so).
set(CMAKE_SHARED_MODULE_PREFIX "")

if(NOT DISTRO_NAME AND "${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.22.0")
    cmake_host_system_information(RESULT PRETTY_NAME QUERY DISTRIB_PRETTY_NAME)
endif()

if(NOT PRETTY_NAME)
    set(PRETTY_NAME "Plasma ${PROJECT_VERSION}")
endif()

set(DISTRO_NAME "${PRETTY_NAME}" CACHE STRING "Name to use on splash screen (defaults to os-release)")
set(DISTRO_VERSION "" CACHE STRING "Version to use on splash screen") # prefer to have the version in the name, makes it easier for os-release data

add_feature_info(DISTRO_NAME On "name to use on splash screen is '${DISTRO_NAME}'")
add_feature_info(DISTRO_VERSION On "extra version to use on splash screen is '${DISTRO_VERSION}'")

# Allow to force installation into CMAKE_INSTALL_PREFIX, even if that would
# result in a non-functional installation. This is needed e.g. for the CI
option(INSTALL_BROKEN_PLYMOUTH_DATA "Force installation into CMAKE_INSTALL_PREFIX, will possibly result in a non-functional installation and is only intended for CI/development use!" OFF)
if (INSTALL_BROKEN_PLYMOUTH_DATA)
    message(WARNING "Installing Plymouth theme to the wrong location!")
    set(PLYMOUTH_THEME_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${Plymouth_THEMESDIR}")
    set(PLYMOUTH_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${Plymouth_PLUGINSDIR}")
else()
    set(PLYMOUTH_THEME_INSTALL_DIR ${Plymouth_THEMESDIR})
    set(PLYMOUTH_PLUGIN_INSTALL_DIR ${Plymouth_PLUGINSDIR})
endif()

add_subdirectory(breeze-text)
add_subdirectory(breeze)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
breeze-plymouth (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:39 +0200

breeze-plymouth (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:24:18 +0200

breeze-plymouth (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:15:56 +0100

breeze-plymouth (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:58:44 +0100

breeze-plymouth (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:34 +0100

breeze-plymouth (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:51 +0100

breeze-plymouth (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:02 +0100

=== debian/control ===
Source: breeze-plymouth
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/breeze-plymouth
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth.git
Rules-Requires-Root: no

Package: plymouth-theme-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Breeze theme for Plymouth
 Breeze theme for Plymouth system boot splash to fit in with KDE
 Plasma's themeing.

## breeze-plymouth 5.27.8

=== debian/changelog ===
breeze-plymouth (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:24 +0100

breeze-plymouth (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:57:25 +0100

breeze-plymouth (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:34 +0200

breeze-plymouth (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:13:37 +0100

breeze-plymouth (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:02 +0100

breeze-plymouth (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:18 +0100

=== debian/control ===
Source: breeze-plymouth
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/breeze-plymouth
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth
Rules-Requires-Root: no

Package: plymouth-theme-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Breeze theme for Plymouth
 Breeze theme for Plymouth system boot splash to fit in with KDE
 Plasma's themeing.

## breeze-plymouth 5.27.10

=== debian/changelog ===
breeze-plymouth (5.27.10-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 20 Feb 2024 11:43:18 -0700

breeze-plymouth (5.27.10-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Jan 2024 19:23:27 +0100

breeze-plymouth (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:20:48 +0100

breeze-plymouth (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:31 +0000

breeze-plymouth (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:53:17 +0200

breeze-plymouth (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:17:36 +0100

breeze-plymouth (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,10 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
+               libevdev-dev,
                libplymouth-dev,
+               libudev-dev,
+               libxkbcommon-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4),

## breeze-plymouth 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:42:58 +0000

breeze-plymouth (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:20:23 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libplymouth-dev,
                libudev-dev,
                libxkbcommon-dev,
-               pkg-config,
                pkg-kde-tools (>= 0.15.18~),
+               pkgconf,
                qtbase5-dev (>= 5.4),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/breeze-plymouth

## breeze-plymouth 6.1.5

=== debian/changelog ===
breeze-plymouth (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:57:44 +0100

breeze-plymouth (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:40:54 +0100

breeze-plymouth (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:06 +0200

breeze-plymouth (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 19:40:43 +0200

breeze-plymouth (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:20:04 +0200

## breeze-plymouth 6.2.5

=== debian/changelog ===
breeze-plymouth (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:59:05 +0000

breeze-plymouth (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:11:57 +0000

breeze-plymouth (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:55:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,19 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.102.0~),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               extra-cmake-modules (>= 6.5.0~),
                libevdev-dev,
                libplymouth-dev,
                libudev-dev,
                libxkbcommon-dev,
-               pkg-kde-tools (>= 0.15.18~),
                pkgconf,
-               qtbase5-dev (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/breeze-plymouth
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth

## breeze-plymouth 6.2.90

=== debian/changelog ===
breeze-plymouth (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 06:08:32 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libevdev-dev,
                libplymouth-dev,
                libudev-dev,

## breeze-plymouth 6.3.0

=== debian/changelog ===
breeze-plymouth (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:51:43 +0100

breeze-plymouth (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:05 +0100

breeze-plymouth (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:05:52 +0100

breeze-plymouth (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:55:56 +0100

breeze-plymouth (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:20:50 +0100

breeze-plymouth (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:21 +0100

breeze-plymouth (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:42:22 +0200

breeze-plymouth (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:38 +0200

breeze-plymouth (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:26 +0200

breeze-plymouth (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:14 +0200

## breeze-plymouth 6.3.2

=== debian/changelog ===
breeze-plymouth (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:50:44 +0100

=== debian/control ===
Source: breeze-plymouth
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 2.8.12),
               extra-cmake-modules (>= 6.2.0~),
               libevdev-dev,
               libplymouth-dev,
               libudev-dev,
               libxkbcommon-dev,
               pkgconf,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/breeze-plymouth
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth.git
Rules-Requires-Root: no

Package: plymouth-theme-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Breeze theme for Plymouth
 Breeze theme for Plymouth system boot splash to fit in with KDE
 Plasma's themeing.

## breeze-plymouth 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "5.27.11")
-set(PROJECT_VERSION_MAJOR 5)
+set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
-find_package(ECM 1.8.0 REQUIRED NO_MODULE)
+find_package(ECM 6.2.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )
 
 include(FeatureSummary)

=== debian/changelog ===
breeze-plymouth (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libudev-dev,
                libxkbcommon-dev,
                pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/breeze-plymouth
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth.git

## breeze-plymouth 6.3.5

=== debian/changelog ===
breeze-plymouth (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:31 +0100

breeze-plymouth (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:53:34 +0100

breeze-plymouth (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:15:14 +0000

breeze-plymouth (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 14:38:08 +0000

## breeze-plymouth 6.4.4

=== debian/changelog ===
breeze-plymouth (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:07 +0200

breeze-plymouth (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 16:54:51 +0200

breeze-plymouth (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:26:53 +0100

## breeze-plymouth 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.5")
 set(PROJECT_VERSION_MAJOR 6)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 find_package(ECM 6.2.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )

=== debian/changelog ===
breeze-plymouth (6.4.5-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 10:28:13 +0000

breeze-plymouth (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:49:00 +0000

breeze-plymouth (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:06:05 +0000

breeze-plymouth (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

breeze-plymouth (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

breeze-plymouth (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:34:42 +0000

breeze-plymouth (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:11:35 +1000

breeze-plymouth (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:43:38 +0000

breeze-plymouth (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:53:00 +0000

breeze-plymouth (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:54:42 +0000

breeze-plymouth (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 16:57:43 +0000

breeze-plymouth (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:40:55 +0000

breeze-plymouth (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:17:47 +0000

breeze-plymouth (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:45:31 +0000

breeze-plymouth (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:20:23 +0000

breeze-plymouth (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 13:58:28 +0000

breeze-plymouth (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:51:58 +0000

breeze-plymouth (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:54:18 +0000

breeze-plymouth (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:25:53 +0000

breeze-plymouth (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:01:25 +0000

breeze-plymouth (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:21:52 +0000

breeze-plymouth (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:58:00 +0000

breeze-plymouth (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:31:08 +0000

breeze-plymouth (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:48:32 +0000

breeze-plymouth (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:09:44 +0000

breeze-plymouth (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:38:53 +0000

breeze-plymouth (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:15:29 +0000

breeze-plymouth (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:00 +1000

breeze-plymouth (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:44:05 +0000

breeze-plymouth (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:53:35 +0000

breeze-plymouth (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:01:33 +0000

breeze-plymouth (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:15:22 +0000

breeze-plymouth (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:02:13 +0000

breeze-plymouth (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:26:37 +0000

breeze-plymouth (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:23:15 +0000

breeze-plymouth (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:05:00 +0000

breeze-plymouth (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 13:59:29 +0000

breeze-plymouth (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:25:54 +0000

breeze-plymouth (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:22:08 +0000

breeze-plymouth (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:37:32 +0000

breeze-plymouth (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:35:34 +0000

breeze-plymouth (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:15:27 +0000

breeze-plymouth (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:50:53 +0000

breeze-plymouth (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:35:26 +0000

breeze-plymouth (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 15:59:20 +0000



=== debian/control ===
Source: breeze-plymouth
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libevdev-dev,
               libplymouth-dev,
               libudev-dev,
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               pkgconf
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/breeze-plymouth
Vcs-Git: https://invent.kde.org/neon/kde/breeze-plymouth.git
Vcs-Browser: https://invent.kde.org/neon/kde/breeze-plymouth
Maintainer: Neon CI <neon@kde.org>

Package: plymouth-theme-breeze
Architecture: any
Depends: plymouth-label, ${misc:Depends}, ${shlibs:Depends}
Recommends: neon-settings-2
Description: Breeze theme for Plymouth
 Breeze theme for Plymouth system boot splash to fit in with KDE
 Plasma's themeing.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DEB_CFLAGS_MAINT_APPEND  = -Werror -Wno-error=unused-result -Wno-error=sign-compare
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-Bsymbolic-functions -Wl,--as-needed

#UNAME_OS := $(shell lsb_release -sd)

UNAME_VERSION := $(shell sed -n "/^set(PROJECT_VERSION .*)$$/ {s/[^0-9.]//g;p}" CMakeLists.txt)

UNAME_TYPE := $(shell uname_type="$(TYPE)"; echo "$${uname_type}")
ifeq ($(UNAME_TYPE), release)
UNAME_TYPE := "user"
endif
ifeq ($(UNAME_TYPE), stable)
UNAME_TYPE := "testing"
endif

UNAME_DIST := $(shell uname_dist="$(DIST)"; echo "$${uname_dist}")

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DDISTRO_NAME='KDE neon ${UNAME_TYPE} ${UNAME_DIST} - ${DEB_TARGET_ARCH}' -DDISTRO_LOGO=neon #-DDISTRO_VERSION='KDE Plasma ${UNAME_VERSION}'

override_dh_auto_install:
	dh_auto_install
	dh_install -p plymouth-theme-breeze \
		debian/initramfs-hook/plymouth_breeze \
		usr/share/initramfs-tools/hooks

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_installinit:
	dh_installinit --noscripts --name casper-stop-breeze-plymouth

.PHONY: override_dh_makeshlibs

## breeze-plymouth 6.4.5+p24.04+vstable+git20251003.0301

=== debian/changelog ===
breeze-plymouth (6.4.5+p24.04+vstable+git20251003.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 03:01:13 +0000

## breeze-plymouth 6.4.5+p24.04+vstable+git20251004.0433

=== debian/changelog ===
breeze-plymouth (6.4.5+p24.04+vstable+git20251004.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 04:33:09 +0000

## breeze-plymouth 6.4.5+p24.04+vstable+git20251012.0305

=== debian/changelog ===
breeze-plymouth (6.4.5+p24.04+vstable+git20251012.0305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 03:05:32 +0000

## breeze-plymouth 6.4.5+p24.04+vstable+git20251019.0157

=== debian/changelog ===
breeze-plymouth (6.4.5+p24.04+vstable+git20251019.0157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:57:58 +0000

## breeze-plymouth 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 11:57:36 +0200

breeze-plymouth (6.3.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure with CMake 4 (Closes: #1112734).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Sep 2025 12:30:59 +0200

=== debian/control ===
Source: breeze-plymouth
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.2.0~),
               libevdev-dev,
               libplymouth-dev,
               libudev-dev,
               libxkbcommon-dev,
               pkgconf,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/breeze-plymouth
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth.git
Rules-Requires-Root: no

Package: plymouth-theme-breeze
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Breeze theme for Plymouth
 Breeze theme for Plymouth system boot splash to fit in with KDE
 Plasma's themeing.

## breeze-plymouth 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:29 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+fixfilepath
export DEB_CFLAGS_MAINT_APPEND  = -Werror -Wno-error=unused-result -Wno-error=sign-compare
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

## breeze-plymouth 6.5.0+p24.04+vstable+git20251021.0742

=== debian/changelog ===
breeze-plymouth (6.5.0+p24.04+vstable+git20251021.0742-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:42:15 +0000

breeze-plymouth (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## breeze-plymouth 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== breeze/CMakeLists.txt ===
set(DISTRO_LOGO "plasma" CACHE STRING "Image filename to use on splash screen")
set(BACKGROUND_TOP_COLOR "black" CACHE STRING "Color for top of splash screen")
set(BACKGROUND_BOTTOM_COLOR "black" CACHE STRING "Color for bottom of splash screen")

add_feature_info(DISTRO_LOGO On "image filename to use on splash screen is '${DISTRO_LOGO}'")
add_feature_info(BACKGROUND_TOP_COLOR On "Color for top of splash screen is '${BACKGROUND_TOP_COLOR}'")
add_feature_info(BACKGROUND_BOTTOM_COLOR On "Color for bottom of splash screen is '${BACKGROUND_BOTTOM_COLOR}'")

configure_file(breeze.plymouth.cmake ${CMAKE_CURRENT_BINARY_DIR}/breeze.plymouth)
configure_file(breeze.script.cmake ${CMAKE_CURRENT_BINARY_DIR}/breeze.script)

install(FILES breeze.grub
              preview.png
              ${CMAKE_CURRENT_BINARY_DIR}/breeze.script
              ${CMAKE_CURRENT_BINARY_DIR}/breeze.plymouth
        DESTINATION ${PLYMOUTH_THEME_INSTALL_DIR}/breeze)
install(DIRECTORY images
        DESTINATION ${PLYMOUTH_THEME_INSTALL_DIR}/breeze)

=== debian/changelog ===
breeze-plymouth (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:44:47 +0000

breeze-plymouth (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:28 +0100

breeze-plymouth (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

## breeze-plymouth 6.5.1+p24.04+vstable+git20251029.0622

=== debian/changelog ===
breeze-plymouth (6.5.1+p24.04+vstable+git20251029.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:22:53 +0000

breeze-plymouth (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:38:02 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DEB_CFLAGS_MAINT_APPEND  = -Werror -Wno-error=unused-result -Wno-error=sign-compare
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-Bsymbolic-functions -Wl,--as-needed

#UNAME_OS := $(shell lsb_release -sd)

UNAME_VERSION := $(shell sed -n "/^set(PROJECT_VERSION .*)$$/ {s/[^0-9.]//g;p}" CMakeLists.txt)

UNAME_TYPE := $(shell uname_type="$(TYPE)"; echo "$${uname_type}")
ifeq ($(UNAME_TYPE), release)
UNAME_TYPE := user
endif
ifeq ($(UNAME_TYPE), stable)
UNAME_TYPE := testing
endif

UNAME_DIST := $(shell uname_dist="$(DIST)"; echo "$${uname_dist}")

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DDISTRO_LOGO=neon \
	-DDISTRO_NAME='KDE neon ${UNAME_TYPE} edition - Plasma ${UNAME_VERSION}' #-DDISTRO_VERSION='${UNAME_DIST} - ${DEB_TARGET_ARCH}'

override_dh_auto_install:
	dh_auto_install
	dh_install -p plymouth-theme-breeze \
		debian/initramfs-hook/plymouth_breeze \
		usr/share/initramfs-tools/hooks

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_installinit:
	dh_installinit --noscripts --name casper-stop-breeze-plymouth

.PHONY: override_dh_makeshlibs

## breeze-plymouth 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:32 +0100

breeze-plymouth (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:07:38 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Homepage: https://invent.kde.org/plasma/breeze-plymouth
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze-plymouth.git
-Rules-Requires-Root: no
 
 Package: plymouth-theme-breeze
 Architecture: any

## breeze-plymouth 6.5.3

=== debian/changelog ===
breeze-plymouth (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:22:41 +0100

## breeze-plymouth 6.5.3+p24.04+vunstable+git20251122.2347

=== debian/changelog ===
breeze-plymouth (6.5.3+p24.04+vunstable+git20251122.2347-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:47:53 +0000

breeze-plymouth (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:25 +1000

breeze-plymouth (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:41 +1000

## breeze-plymouth 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:13 +0000

breeze-plymouth (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:05:53 +0000

breeze-plymouth (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:10:31 +0000

=== debian/control ===
Source: breeze-plymouth
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 2.8.12),
               extra-cmake-modules (>= 6.18.0~),
               libevdev-dev,
               libplymouth-dev,
               libudev-dev,
               libxkbcommon-dev,
               pkgconf,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/breeze-plymouth
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze-plymouth
Rules-Requires-Root: no

Package: plymouth-theme-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Breeze theme for Plymouth
 Breeze theme for Plymouth system boot splash to fit in with KDE
 Plasma's themeing.

## breeze-plymouth 6.5.4+p24.04+vunstable+git20251209.1132

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.5.4+p24.04+vunstable+git20251209.1132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:32:38 +0000

breeze-plymouth (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:39 +1000

## breeze-plymouth 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.5.5-0zneon+24.04+noble+release+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 20:53:40 +0000

breeze-plymouth (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:30:34 +1000

## breeze-plymouth 6.5.5+p24.04+vstable+git20260114.0222

=== debian/changelog ===
breeze-plymouth (6.5.5+p24.04+vstable+git20260114.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:22:37 +0000

## breeze-plymouth 6.5.5+p24.04+vstable+git20260130.0729

=== debian/changelog ===
breeze-plymouth (6.5.5+p24.04+vstable+git20260130.0729-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 07:29:27 +0000

## breeze-plymouth 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.1")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:12:07 +0000

breeze-plymouth (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:53:32 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 2.8.12),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libevdev-dev,
                libplymouth-dev,
                libudev-dev,

## breeze-plymouth 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze-plymouth)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

=== debian/changelog ===
breeze-plymouth (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:20:50 +0000
